## ganeti 2.16.0~rc2

=== debian/changelog ===
ganeti (2.16.0~rc2-4build1) cosmic; urgency=medium

  * Rebuild against new GHC ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 04 Jul 2018 16:26:32 +0200

ganeti (2.16.0~rc2-4) unstable; urgency=medium

  * Change maintainer address to ganeti@p.d.o (Closes: #899518)
  * Sphinx 1.7 compatibility
    + Relax sphinx version check regex (Closes: #896496)
    + Fix FTBFS with Sphinx 1.7
  * Patch upstream source to fix FTBFS with GHC 8.2
    + template-haskell 2.12 compatibility
    + cabal 2.0 compatibility
  * Disable dbgsym generation, GHC's -g is currently broken
  * Bump Standards-Version to 4.1.4; no changes needed
  * d/control: drop obsolete X-Python-Version field

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 07 Jun 2018 16:21:00 +0300

ganeti (2.16.0~rc2-3) unstable; urgency=medium

  * Only generate dbgsym packages for amd64 and i386; fixes FTBFS on ppc64el
    and other PPC architectures.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 06 Mar 2018 15:36:33 +0200

ganeti (2.16.0~rc2-2) unstable; urgency=medium

  * Switch Vcs-* URLs to salsa
  * d/control.in: allow DH 11 backports
  * ganeti: Recommend fdisk (Closes: #872131)
  * d/rules: use dh_missing
  * Remove the masterd compatibility symlink
  * Fix broken fcntl call on i386
  * Ship the Python tests in ganeti-testsuite
  * Run the unittests in ganeti-testsuite as autopkgtests
  * Make sure the OVF tests don't write to the build tree
  * Collect vcluster state as autopkgtest artifacts
  * Pass -g to ghc to generate DWARF debugging information; this requires GHC
    >= 7.10, so adjust B-D accordingly
  * Fix race condition in QA suite causing autopkgtest failures

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 05 Mar 2018 12:01:37 +0200

ganeti (2.16.0~rc2-1) unstable; urgency=medium

  * New upstream release candidate
  * Upload to unstable
  * Drop patches merged upstream.
     + 0001-Do-not-prompt-when-force-setting-a-node-online.patch
     + 0002-cabal-relax-dependency-restrictions.patch
     + 0003-Provide-alternative-to-decompressWithErrors-in-zlib-.patch
     + 0004-Fix-docs-code-errors-to-build-with-Sphinx-1.3.5.patch
     + 0005-Fix-documentation-builds-with-Sphinx-1.4.patch
     + 0006-Fix-documentation-builds-with-sphinx-1.5.patch
     + 0007-kvm-use-the-current-psutil-CPU-affinity-API.patch
     + 0008-backend-fix-key-renewal-on-single-node-clusters.patch
     + 0009-impexpd-do-not-set-socat-SSL-method.patch
     + 0010-impexpd-fix-certificate-verification-with-new-socat-.patch
  * Make ganeti Priority: optional
  * Refresh remaining patches
  * Bump dh compat to 11
    + Adjust paths in ganeti-doc.doc-base
  * Bump Standards-Version to 4.1.3; no changes needed
  * d/NEWS: fix RSA capitalization (Closes: #887443)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 20 Feb 2018 20:12:15 +0200

ganeti (2.16.0~rc1+1gitc815ca60c-1) experimental; urgency=medium

  * New upstream git snapshot
  * Upload to experimental
  * Merge all work between 2.15.2-3 and 2.15.2-10
  * Bump Standards-Version to 4.1.2; no changes needed
  * Refactor d/patches for 2.16
  * Drop the ganeti2 transitional package (Closes: #878531)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 22 Dec 2017 16:27:44 +0200

ganeti (2.15.2-10) unstable; urgency=medium

  * Fix FTBFS with sphinx 1.5 (Closes: #868601)
  * Fix failover from dead nodes when using extstorage (Closes: #864756)
  * Fix KVM CPU affinity setting (Closes: #864754)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 02 Aug 2017 21:21:09 -0400

ganeti (2.15.2-9) unstable; urgency=medium

  * Drop B-D on libghc-cabal-dev (Closes: #865818).
  * d/patches/ghc8-fixes: fix FTBFS with ghc 8.0.2.
  * Bump Standards to 4.0.0; no changes needed.
  * B-D on debhelper 10 and bump compat to 10; also remove dh-autoreconf, now
    included and run by default.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 28 Jun 2017 00:08:21 +0300

ganeti (2.15.2-8) unstable; urgency=medium

  * Bump Standards to 3.9.8; no changes needed
  * ganeti: Depend on lsb-base (>= 3.0-6) for init-functions
  * Backport support for non-DSA SSH keys (Closes: #853129)
    + non-DSA-SSH-key-support.patch: backport upstream work from the
      (unreleased as of today) stable-2.16 branch.
    + fix-ssh-key-renewal-on-single-node-clusters.patch: fix gnt-cluster
      renew-crypto --new-ssh-keys on single-node clusters.
    + set-defaults-for-ssh-type-bits.patch: transparently handle the new SSH
      key type/length parameters without running cfgupgrade.
  * Document the new SSH key support in d/NEWS.
  * Update project Homepage (Closes: #862829)
  * Fix pre-migration check bug causing failure when migrating between different
    hypervisor versions and running luxid as non-root. Note that this does not
    mean that migrations between different hypervisor versions are safe and/or
    suppported.
  * Fix instance import/export/move with current socat versions, by dropping
    the SSL method= socat option and letting socat/OpenSSL pick the best
    available.
  * d/copyright: bump years

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 23 May 2017 15:49:40 +0300

ganeti (2.16.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh patches.
  * d/watch: search for 2.16 stable releases
  * d/rules: override clean to generate d/control and the versioned package
    debhelper files.
  * ganeti-2.16: depend on libcap2-bin (required by metad in 2.16)
  * Remove and ignore d/control and versioned package maintscripts.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 08 Mar 2016 16:54:58 +0200
