## ganeti 2.16.0

=== debian/changelog ===
ganeti (2.16.0-5) unstable; urgency=medium

  * Restore compatibility with QEMU 3.1 (Closes: #922936)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 22 Feb 2019 09:50:10 +0200

ganeti (2.16.0-4) unstable; urgency=medium

  * Fix FTBFS with sphinx 1.8 (Closes: #918374)
  * Bump Standards-Version to 4.3.0; no changes needed
  * Detect arch-dependent libc/linux header values (Closes: #920685, #920686)
  * Fix process control with start-stop-daemon from dpkg 1.19.4

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 28 Jan 2019 11:37:36 +0200

ganeti (2.16.0-3) unstable; urgency=medium

  * Specify IP_PATH at configure time.
    Makes build consistent across usrmerged and non-usrmerged systems.
    Thanks to Andreas Henriksson! (Closes: #915652)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 07 Dec 2018 18:26:08 +0200

ganeti (2.16.0-2) unstable; urgency=medium

  * Allow newer haskell-temporary versions
  * Cabal 2.2 compatibility
  * GHC 8.4/base 4.11 compatibility
  * hinotify 0.3.10 compatibility

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 01 Nov 2018 15:41:28 +0200

ganeti (2.16.0-1) unstable; urgency=medium

  * New upstream stable release.
  * Drop patches merged upstream.
    + 0021-Support-python-mock-versions-later-than-about-1.1.patch
    + 0022-Replace-test-certificates-with-2048-bit-RSA.patch
    + fix-fcntl-i386.patch
    + fix-ovf-test-path.patch
    + fix-qa-ssconf-race.patch
  * d/rules: have dh_link create the bash completion symlinks explicitly in
    the ganeti package.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 19 Sep 2018 23:46:45 +0300

ganeti (2.16.0~rc2-6) unstable; urgency=medium

  * cluster verify: warn about weak certificates
  * Bump Standards-Version to 4.2.1; no changes needed
  * Patch the RAPI client library to achieve single-source Python 2 & Python 3
    compatibility
  * New binary package python3-ganeti-rapi-client
  * Ship d/NEWS only in the ganeti package
  * Make bash completion autoloadable (Closes: #864755)
  * Cleanup obsolete /etc/bash_completion.d/ganeti

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 07 Sep 2018 14:21:46 +0300

ganeti (2.16.0~rc2-5) unstable; urgency=medium

  * Sign generated certificates using SHA256 instead of SHA1 (Closes: #907216)
  * d/NEWS: ask users to run gnt-cluster renew-crypto
  * ganeti.postinst: remove ancient upgrade stanza doing recursive chown
    (lintian)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 29 Aug 2018 14:33:21 +0300
