=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  m4,
  pandoc,
  python-all,
+ python3-all,
  ghc (>= 7.10),
  ghc-ghci,
  cabal-install,
@@ -23,7 +24,7 @@
  libghc-hslogger-dev,
  libghc-crypto-dev,
  libghc-text-dev,
- libghc-hinotify-dev,
+ libghc-hinotify-dev (>= 0.3.10),
  libghc-base64-bytestring-dev (>= 1.0.0.0),
  libghc-zlib-dev,
  libghc-regex-pcre-dev,
@@ -53,7 +54,7 @@
  iproute2 | iproute,
  bash-completion,
  po-debconf
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: http://www.ganeti.org/
 Vcs-Browser: https://salsa.debian.org/ganeti-team/ganeti
 Vcs-Git: https://salsa.debian.org/ganeti-team/ganeti.git
@@ -244,6 +245,26 @@
  .
  This package provides an RAPI (Remote API) client library for Python.
 
+Package: python3-ganeti-rapi
+Architecture: all
+Section: python
+Depends: ${python3:Depends}, ${misc:Depends}, python3-pycurl, python3-simplejson
+Suggests: ganeti-doc
+Description: cluster virtualization manager - RAPI client library (Python 3)
+ Ganeti is a virtual server cluster management tool built on top of the
+ Xen and KVM virtualization technologies and other free software. It
+ provides an automated environment to manage highly available virtual
+ machine instances.
+ .
+ It is designed to facilitate cluster management of virtual servers using
+ commodity hardware, and to provide fast and simple recovery after physical
+ failures. It can take care of operations such as redundant disk creation
+ and management, operating system installation (in cooperation with
+ OS-specific install scripts), startup, shutdown, and failover of instances
+ between physical systems.
+ .
+ This package provides an RAPI (Remote API) client library for Python 3.
+
 Package: ganeti-testsuite
 Architecture: all
 Section: devel
