=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 export PYTHON
 
 %:
-	dh $@ --with python2,sphinxdoc,bash_completion
+	dh $@ --with python2,python3,sphinxdoc,bash_completion
 
 ifeq ($(VCS_VER),)
 debian/control:
@@ -53,7 +53,7 @@
 endif
 
 clean: debian/control
-	dh clean --with python2,sphinxdoc,bash_completion,autoreconf
+	dh clean --with python2,python3,sphinxdoc,bash_completion,autoreconf
 
 override_dh_autoreconf:
 	dh_autoreconf $(CURDIR)/autogen.sh
@@ -61,6 +61,7 @@
 override_dh_auto_configure:
 	dpkg-parsechangelog -Sversion > vcs-version
 	./configure \
+	  IP_PATH=/bin/ip \
 	  --prefix=/usr \
 	  --localstatedir=/var \
 	  --sysconfdir=/etc \
@@ -112,10 +113,16 @@
 
 	# Dummy Python module for the RAPI client
 	# Add missing bits to ganeti and python-ganeti-rapi.
+	# Python 2
 	cp $(CURDIR)/debian/tmp/usr/share/ganeti/$(VER)/ganeti/rapi/client.py \
 	   $(CURDIR)/debian/python-ganeti-rapi/usr/share/pyshared/ganeti/rapi/
 	touch $(CURDIR)/debian/python-ganeti-rapi/usr/share/pyshared/ganeti/__init__.py
 	touch $(CURDIR)/debian/python-ganeti-rapi/usr/share/pyshared/ganeti/rapi/__init__.py
+	# Python 3
+	cp $(CURDIR)/debian/tmp/usr/share/ganeti/$(VER)/ganeti/rapi/client.py \
+	   $(CURDIR)/debian/python3-ganeti-rapi/usr/lib/python3/dist-packages/ganeti/rapi/
+	touch $(CURDIR)/debian/python3-ganeti-rapi/usr/lib/python3/dist-packages/ganeti/__init__.py
+	touch $(CURDIR)/debian/python3-ganeti-rapi/usr/lib/python3/dist-packages/ganeti/rapi/__init__.py
 	
 override_dh_python2:
 	dh_python2
@@ -160,6 +167,13 @@
 
 	# Now let dh_link fix all symlinks
 	dh_link
+	
+	# Make bash completion autoloadable
+	for script in $$(grep ^complete $(CURDIR)/debian/ganeti/usr/share/bash-completion/completions/ganeti \
+		| awk '/ +[a-z_-]+$$/ { print $$NF }') ; do \
+		dh_link -pganeti "usr/share/bash-completion/completions/ganeti" \
+			         "usr/share/bash-completion/completions/$$script" ; \
+	done
 
 # Disable dh_sphinxdoc for binary-arch, as it will raise an error
 override_dh_sphinxdoc-arch:
