## ganeti 2.16.1

=== debian/changelog ===
ganeti (2.16.1-2ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Do not fail unittests on ppc64el, they have been failing
      since the begin

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 08 Dec 2019 20:13:41 +0100

ganeti (2.16.1-2) unstable; urgency=medium

  * Depend only on iproute2, dropping the iproute alternative
  * Switch from haskell-crypto to haskell-cryptonite, as haskell-crypto is
    broken with GHC 8.6 (see #945931)
  * Cherry-pick proposed changes for job process management from upstream
    PR#1411 to verify that it fixes our CI failures.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 07 Dec 2019 18:48:31 +0200

ganeti (2.16.1-1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Do not fail unittests on ppc64el, they have been failing
      since the begin

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 22 Nov 2019 08:53:50 +0100

ganeti (2.16.1-1) unstable; urgency=medium

  * New upstream release
  * Relax dependency on haskell-network
  * Drop patches merged upstream
  * Bump Standards-Version to 4.4.1; no changes needed
  * Bump dh compat to 12.
     + Inject debhelper's misc:Pre-Depends in ganeti's Pre-Depends
     + Replace --no-restart-on-upgrade with --no-stop-on-upgrade in
       dh_installinit call
     + Switch to B-D on debhelper-compat
  * Fix build with GHC 8.6.
     + Add MonadFail instances for (GenericResult a) and Text.JSON.Result
     + Use IntMap.foldrWithKey instead of IntMap.foldWithKey

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 21 Nov 2019 14:58:21 +0200

ganeti (2.16.0-5ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Do not fail unittests on ppc64el, they have been failing
      since the begin

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 25 Feb 2019 12:28:58 +0100

ganeti (2.16.0-4ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Do not fail unittests on ppc64el, they have been failing
      since the begin

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 29 Jan 2019 10:44:18 +0100

ganeti (2.16.0-3ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Do not fail unittests on ppc64el, they have been failing
      since the begin

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 15 Dec 2018 09:04:00 +0100

ganeti (2.16.0-2ubuntu3) disco; urgency=medium

  * Only revert cabal 2.2 without reverting cabal 2.0 hunks
  * Also disable base 4.11 compat

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 22 Nov 2018 10:22:39 +0100

ganeti (2.16.0-2ubuntu2) disco; urgency=medium

  * Revert cabal 2.2 compatibility for now

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 22 Nov 2018 10:11:04 +0100

ganeti (2.16.0-2ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Do not fail unittests on armhf and ppc64el, they have been failing
      since the begin

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Nov 2018 13:17:36 +0100

ganeti (2.16.0-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Do not fail unittests on armhf and ppc64el, they have been failing
      since the begin

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Sep 2018 12:00:31 +0200

ganeti (2.16.0~rc2-6ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Do not fail unittests on armhf and ppc64el, they have been failing
      since the begin

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Sep 2018 11:43:17 +0200

ganeti (2.16.0~rc2-5ubuntu2) cosmic; urgency=medium

  * Do not fail unittests on armhf and ppc64el, they have been failing
    since the begin

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 05 Sep 2018 11:31:46 +0200
