=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Ganeti Team <ganeti@packages.debian.org>
 Uploaders: Guido Trotter <ultrotter@debian.org>,
  Apollon Oikonomopoulos <apoikos@debian.org>
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
  dh-python,
  m4,
  pandoc,
@@ -22,7 +22,7 @@
  libghc-utf8-string-dev,
  libghc-deepseq-dev,
  libghc-hslogger-dev,
- libghc-crypto-dev,
+ libghc-cryptonite-dev,
  libghc-text-dev,
  libghc-hinotify-dev (>= 0.3.10),
  libghc-base64-bytestring-dev (>= 1.0.0.0),
@@ -51,10 +51,10 @@
  graphviz,
  qemu-utils,
  socat,
- iproute2 | iproute,
+ iproute2,
  bash-completion,
  po-debconf
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: http://www.ganeti.org/
 Vcs-Browser: https://salsa.debian.org/ganeti-team/ganeti
 Vcs-Git: https://salsa.debian.org/ganeti-team/ganeti.git
@@ -63,6 +63,7 @@
 Architecture: all
 Breaks: ganeti2 (<< 2.7.0-2), ganeti-haskell
 Replaces: ganeti2 (<< 2.7.0-2), ganeti-haskell, ganeti-htools
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ganeti-2.16 (= ${source:Version}),
  ganeti-haskell-2.16 (>= ${source:Version}),
  ganeti-haskell-2.16 (<< ${source:Version}.1~),
@@ -100,7 +101,7 @@
  openssh-client,
  openssh-server,
  bridge-utils,
- iproute2 | iproute,
+ iproute2,
  iputils-arping,
  libcap2-bin,
  openssl,
