## ganeti 3.0.1

=== debian/changelog ===
ganeti (3.0.1-2build1) impish; urgency=medium

  * No-change rebuild for libffi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 11 Sep 2021 07:02:13 +0200

ganeti (3.0.1-2) unstable; urgency=medium

  * Ignore signatures while creating LVs (Closes: #982960)
  * Fix Xen instance live-migration (Closes: #981122)

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 02 Mar 2021 15:13:17 +0200

ganeti (3.0.1-1) unstable; urgency=medium

  * New upstream bugfix release
  * Add NEWS entry documenting the upgrade procedure

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 03 Feb 2021 20:54:04 +0200

ganeti (3.0.0-1) unstable; urgency=medium

  * New upstream stable release
    + Refresh patches
  * Bump Standards-Version to 4.5.1; no changes needed
  * Bump dh compat to 13
    - Remove default `--fail-missing` argument from dh_missing.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 23 Dec 2020 15:02:57 +0200

ganeti (3.0.0~rc1-2) unstable; urgency=medium

  * Source-only upload; no changes

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sun, 27 Sep 2020 23:59:13 +0300

ganeti (3.0.0~rc1-1) unstable; urgency=medium

  * New upstream release, porting Ganeti to Python 3
    (Closes: #936580, #935677, #945915, #933495, #927130)
    + New binary packages:
      - ganeti-3.0
      - ganeti-htools-3.0
      - ganeti-haskell-3.0
  * d/control.in: adjust dependencies for Python 3
  * Make tests run with Python 3
  * Switch the molly-guard and reportbug scripts to Python 3
  * Drop patches merged upstream
    + 0001-do-not-backup-export-dir.patch
    + 0002-Makefile.am-use-C.UTF-8
    + 0004-python3-rapi-client.patch
    + 0006-HTools.Graph-use-IntMap.foldr.patch
    + 0007-Add-MonadFail-instances.patch
    + 0008-Relax-dep-on-haskell-network.patch
    + 0009-Port-Ganeti.Hash-to-cryptonite.patch
    + 0010-UDSServer-add-clientToHandle-function.patch
    + 0011-Avoid-using-forkProcess-for-job-process-creation.patch
    + 0012-Query.Exec-do-not-retry-forking.patch
  * Refresh and renumber remaining patches
  * Relax version restriction for regex-pcre in ganeti.cabal
  * d/.gitignore: ignore version files for ganeti 3
  * Switch packaging to dh_python3
  * d/genscript: switch to Python 3
  * Make gnt-cluster upgrade from 2.16 work
  * Bump Standards-Version to 4.5.0; no changes needed
  * Cleanup some lintian errors/warnings:
    - Remove obsolete hyphen-used-as-minus-sign override
    + Ignore breakout-link warnings, as they are harmless in our case
    + Ensure all maintainer scripts do `set -e`

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 21 Sep 2020 12:42:56 +0300
