=== debian/control ===
--- 
+++ 
@@ -4,11 +4,10 @@
 Maintainer: Debian Ganeti Team <ganeti@packages.debian.org>
 Uploaders: Guido Trotter <ultrotter@debian.org>,
  Apollon Oikonomopoulos <apoikos@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  dh-python,
  m4,
  pandoc,
- python-all,
  python3-all,
  ghc (>= 7.10),
  ghc-ghci,
@@ -39,22 +38,21 @@
  libghc-old-time-dev,
  libpcre3-dev,
  libcurl4-openssl-dev,
- python-simplejson,
- python-pyparsing,
- python-openssl,
- python-bitarray,
- python-pyinotify,
- python-pycurl,
- python-paramiko,
- python-ipaddr,
- python-sphinx (>= 1.0.7+dfsg),
+ python3-simplejson,
+ python3-pyparsing,
+ python3-openssl,
+ python3-bitarray,
+ python3-pyinotify,
+ python3-pycurl,
+ python3-paramiko,
+ python3-sphinx (>= 1.0.7+dfsg),
  graphviz,
  qemu-utils,
  socat,
  iproute2,
  bash-completion,
  po-debconf
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Homepage: http://www.ganeti.org/
 Vcs-Browser: https://salsa.debian.org/ganeti-team/ganeti
 Vcs-Git: https://salsa.debian.org/ganeti-team/ganeti.git
@@ -64,18 +62,18 @@
 Breaks: ganeti2 (<< 2.7.0-2), ganeti-haskell
 Replaces: ganeti2 (<< 2.7.0-2), ganeti-haskell, ganeti-htools
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ganeti-2.16 (= ${source:Version}),
- ganeti-haskell-2.16 (>= ${source:Version}),
- ganeti-haskell-2.16 (<< ${source:Version}.1~),
- ganeti-htools-2.16 (>= ${source:Version}),
- ganeti-htools-2.16 (<< ${source:Version}.1~),
- adduser, ${misc:Depends}, python, lsb-base (>= 3.0-6)
+Depends: ganeti-3.0 (= ${source:Version}),
+ ganeti-haskell-3.0 (>= ${source:Version}),
+ ganeti-haskell-3.0 (<< ${source:Version}.1~),
+ ganeti-htools-3.0 (>= ${source:Version}),
+ ganeti-htools-3.0 (<< ${source:Version}.1~),
+ adduser, ${misc:Depends}, python3, lsb-base (>= 3.0-6)
 Recommends: drbd-utils | drbd8-utils (>= 8.0.7),
  qemu-kvm | xen-system-amd64, fdisk,
  ganeti-instance-debootstrap, ndisc6
 Suggests: ganeti-doc, blktap-dkms, molly-guard
 Conflicts: ganeti-htools
-Provides: ${python:Provides}, ganeti-htools
+Provides: ganeti-htools
 Description: cluster virtualization manager
  Ganeti is a virtual server cluster management tool built on top of the
  Xen and KVM virtualization technologies and other free software. It
@@ -91,12 +89,11 @@
  .
  This package installs the complete Ganeti system.
 
-Package: ganeti-2.16
+Package: ganeti-3.0
 Architecture: all
 Depends: ${shlibs:Depends},
  ${misc:Depends},
- ${python:Depends},
- python,
+ ${python3:Depends},
  lvm2,
  openssh-client,
  openssh-server,
@@ -105,21 +102,19 @@
  iputils-arping,
  libcap2-bin,
  openssl,
- python-simplejson,
- python-pyparsing,
- python-openssl,
- python-pyinotify,
- python-pycurl,
- python-paramiko,
- python-bitarray,
- python-ipaddr,
- python-fdsend,
- python-psutil,
+ python3-simplejson,
+ python3-pyparsing,
+ python3-openssl,
+ python3-pyinotify,
+ python3-pycurl,
+ python3-paramiko,
+ python3-bitarray,
+ python3-psutil,
  socat,
  fping,
  adduser,
  debconf | debconf-2.0
-Provides: ${python:Provides}
+Provides: ${python3:Provides}
 Description: cluster virtualization manager - Python components
  Ganeti is a virtual server cluster management tool built on top of the
  Xen and KVM virtualization technologies and other free software. It
@@ -133,9 +128,9 @@
  OS-specific install scripts), startup, shutdown, and failover of instances
  between physical systems.
  .
- This package provides all architecture-independent components of Ganeti 2.16.
-
-Package: ganeti-haskell-2.16
+ This package provides all architecture-independent components of Ganeti 3.0.
+
+Package: ganeti-haskell-3.0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, debconf | debconf-2.0
 Description: cluster virtualization manager - Haskell components
@@ -151,12 +146,12 @@
  OS-specific install scripts), startup, shutdown, and failover of instances
  between physical systems.
  .
- This package provides the architecture-dependent components of Ganeti 2.16
+ This package provides the architecture-dependent components of Ganeti 3.0
  written in Haskell.
 
 Package: ganeti-htools
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ganeti-htools-2.16
+Depends: ${shlibs:Depends}, ${misc:Depends}, ganeti-htools-3.0
 Breaks: ganeti2 (<< 2.4)
 Description: cluster virtualization manager - tools (stand-alone)
  Ganeti is a virtual server cluster management tool built on top of the
@@ -179,10 +174,10 @@
  This package provides the version intended for stand-alone systems that
  are not part of a Ganeti cluster.
 
-Package: ganeti-htools-2.16
+Package: ganeti-htools-3.0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: cluster virtualization manager - tools for Ganeti 2.16
+Description: cluster virtualization manager - tools for Ganeti 3.0
  Ganeti is a virtual server cluster management tool built on top of the
  Xen and KVM virtualization technologies and other free software. It
  provides an automated environment to manage highly available virtual
@@ -201,7 +196,7 @@
   * hspace: cluster capacity calculator.
  .
  This package provides the version intended for use on systems that are part
- of a Ganeti 2.16 cluster. On stand-alone systems, use ganeti-htools instead.
+ of a Ganeti 3.0 cluster. On stand-alone systems, use ganeti-htools instead.
 
 Package: ganeti-doc
 Architecture: all
@@ -224,28 +219,6 @@
  .
  This package provides the full HTML documentation for Ganeti.
 
-Package: python-ganeti-rapi
-Architecture: all
-Section: python
-Depends: ${python:Depends}, ${misc:Depends}, python-pycurl, python-simplejson
-Suggests: ganeti-doc
-Replaces: ganeti2 (<< 2.7.0-2)
-Breaks: ganeti2 (<< 2.7.0-2)
-Description: cluster virtualization manager - RAPI client library
- Ganeti is a virtual server cluster management tool built on top of the
- Xen and KVM virtualization technologies and other free software. It
- provides an automated environment to manage highly available virtual
- machine instances.
- .
- It is designed to facilitate cluster management of virtual servers using
- commodity hardware, and to provide fast and simple recovery after physical
- failures. It can take care of operations such as redundant disk creation
- and management, operating system installation (in cooperation with
- OS-specific install scripts), startup, shutdown, and failover of instances
- between physical systems.
- .
- This package provides an RAPI (Remote API) client library for Python.
-
 Package: python3-ganeti-rapi
 Architecture: all
 Section: python
@@ -269,7 +242,7 @@
 Package: ganeti-testsuite
 Architecture: all
 Section: devel
-Depends: ganeti (= ${source:Version}), python, python-mock, python-yaml,
+Depends: ganeti (= ${source:Version}), python3, python3-mock, python3-yaml,
  qemu-utils, ${misc:Depends}
 Description: cluster virtualization manager - test suite
  Ganeti is a virtual server cluster management tool built on top of the
