=== debian/rules ===
--- 
+++ 
@@ -21,14 +21,8 @@
 	GHC_FLAGS += -g
 endif
 
-# Set the Python interpreter path, as ganeti will use /usr/bin/python2
-# otherwise.
-
-PYTHON := /usr/bin/python
-export PYTHON
-
 %:
-	dh $@ --with python2,python3,sphinxdoc,bash_completion
+	dh $@ --with python3,sphinxdoc,bash_completion
 
 ifeq ($(VCS_VER),)
 debian/control:
@@ -53,7 +47,7 @@
 endif
 
 clean: debian/control
-	dh clean --with python2,python3,sphinxdoc,bash_completion,autoreconf
+	dh clean --with python3,sphinxdoc,bash_completion,autoreconf
 
 override_dh_autoreconf:
 	dh_autoreconf $(CURDIR)/autogen.sh
@@ -113,28 +107,23 @@
 
 	# Dummy Python module for the RAPI client
 	# Add missing bits to ganeti and python-ganeti-rapi.
-	# Python 2
-	cp $(CURDIR)/debian/tmp/usr/share/ganeti/$(VER)/ganeti/rapi/client.py \
-	   $(CURDIR)/debian/python-ganeti-rapi/usr/share/pyshared/ganeti/rapi/
-	touch $(CURDIR)/debian/python-ganeti-rapi/usr/share/pyshared/ganeti/__init__.py
-	touch $(CURDIR)/debian/python-ganeti-rapi/usr/share/pyshared/ganeti/rapi/__init__.py
 	# Python 3
 	cp $(CURDIR)/debian/tmp/usr/share/ganeti/$(VER)/ganeti/rapi/client.py \
 	   $(CURDIR)/debian/python3-ganeti-rapi/usr/lib/python3/dist-packages/ganeti/rapi/
 	touch $(CURDIR)/debian/python3-ganeti-rapi/usr/lib/python3/dist-packages/ganeti/__init__.py
 	touch $(CURDIR)/debian/python3-ganeti-rapi/usr/lib/python3/dist-packages/ganeti/rapi/__init__.py
 	
-override_dh_python2:
-	dh_python2
+override_dh_python3:
+	dh_python3
 
 	# /usr/share/ganeti/<VER> is not in the default search path of dh_python2
-	dh_python2 -pganeti-$(VER) usr/share/ganeti/$(VER)
+	dh_python3 -pganeti-$(VER) usr/share/ganeti/$(VER)
 
 override_dh_missing:
-	dh_missing --fail-missing
+	dh_missing
 
 override_dh_installinit:
-	dh_installinit --error-handler=true --no-restart-on-upgrade -i -- defaults 20 80
+	dh_installinit --error-handler=true --no-stop-on-upgrade -i -- defaults 20 80
 
 override_dh_compress:
 	dh_compress
@@ -192,6 +181,6 @@
 
 .PHONY: override_dh_auto_configure override_dh_auto_clean override_dh_auto_build \
 	override_dh_installinit override_dh_install-indep override_dh_sphinxdoc-arch \
-	override_dh_auto_test override_dh_compress override_dh_python2 \
+	override_dh_auto_test override_dh_compress override_dh_python3 \
 	override_dh_link genfiles override_dh_autoreconf check-vcs-version \
 	override_dh_missing
